#
# spec file for package texstudio
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           texstudio
Version:        2.12.6
Release:        0
Summary:        LaTeX Editor
License:        GPL-2.0
Group:          Productivity/Publishing/TeX/Frontends
Url:            http://texstudio.sf.net
Source0:        http://downloads.sourceforge.net/texstudio/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  hicolor-icon-theme
%if 0%{?suse_version} <= 1320
BuildRequires:  libpoppler-qt4-devel
BuildRequires:  libqt4-devel
%else 
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5PrintSupport)
BuildRequires:  pkgconfig(Qt5Script)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5UiTools)
BuildRequires:  pkgconfig(poppler-qt5)
%endif
Requires:       hunspell
Requires:       texlive-latex
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
TeXstudio is a program based on texmaker, that integrates many tools needed
to develop documents with LaTeX, in just one application. Using its editor
you can write your documents with the help of interactive spell checking,
syntax highlighting, automatically code completion and more.

%prep
%setup -q -n %{name}%{version}

%build
%ifarch aarch64 %{arm}
%define crashhandler NO_CRASH_HANDLER=true
%endif

%if 0%{?suse_version} <= 1320
qmake QMAKE_CXXFLAGS="%optflags -fno-strict-aliasing" \
      QMAKE_CFLAGS="%optflags -fno-strict-aliasing" \
      CONFIG-=debug texstudio.pro
%else
%{qmake5} CONFIG-=debug %{?crashhandler} texstudio.pro
%endif

%if 0%{?suse_version} <= 1320
make %{?_smp_mflags} VERBOSE=1
%else
%{make_jobs}
%endif

%install
make INSTALL_ROOT=%{buildroot} install

rm -f %{buildroot}%{_datadir}/texstudio/{AUTHORS,COPYING,CHANGELOG.txt}
%fdupes -s %{buildroot}%{_datadir}/texstudio/

%files
%defattr(-,root,root)
%doc utilities/AUTHORS utilities/COPYING utilities/manual/CHANGELOG.txt
%{_bindir}/texstudio
%{_datadir}/texstudio/
%{_datadir}/applications/texstudio.desktop
%{_datadir}/icons/hicolor/scalable/apps/texstudio.svg
%dir %{_datadir}/appdata
%{_datadir}/appdata/texstudio.appdata.xml

%changelog
